APM(8)

NAME
apm, zzz - Advanced Power Management control program

SYNOPSIS
zzz [-S] [-z] [-f sockname]
[-z] [-S] [-s] [-d] [-l] [-b] [-a] [-v] [-f sockname]

DESCRIPTION
apm communicates with the Advanced Power Management daemon, apmd(8), making requests of it for current power status or to place the system into a suspend or stand-by state. With no flags, apm displays the current power management state in verbose form.

Available command-line flags are:
-z  Put the system into suspend (deep sleep) mode.
-S  Put the system into stand-by (light sleep) mode.
-l  Display the estimated battery lifetime (in percent).
-b  Display the battery status. 0 means high, 1 means low, 2 means critical, 3 means charging, 4 means absent, and 255 means unknown.
-a  Display the external charger (A/C status). 0 means disconnected, 1 means connected, 2 means backup power source, and 255 means unknown.
-v  Request more verbose description of the displayed states.
-f sockname
    Set the name of the socket via which to contact apmd(8) to sockname.
-d  Do not communicate with the APM daemon; attempt instead to manipulate the APM control device directly.

The zzz variant of this command is an alternative for suspending the system. With no arguments, zzz places the system into suspend mode. The command line flags serve the same purpose as for the apm variant of this command.

This command does not wait for positive confirmation that the requested mode has been entered; to do so would mean the command does not return until the system resumes from its sleep state.

FILES
/var/run/apmdev is the default UNIX-domain socket used for communication with apmd(8). The -f flag may be used to specify an alternate socket name. The protection modes on this socket govern which users may access the APM functions.

/dev/apmctl is the control device which is used when the -d flag is specified; it must be writable for the -d flag to work successfully. /dev/apm is the status device used when the socket is not accessible; it must be readable to provide current APM status.

SEE ALSO
apm(4), apmd(8).

REFERENCES
Advanced Power Management (APM) BIOS Interface Specification (revision 1.1), Intel Corporation and Microsoft Corporation

HISTORY
The apm command appeared in NetBSD 1.3.